### Hierarchy

- Crypto

### Implements

- ICryptoService

## Index

### Methods

- decryptContent
- encryptContent
- hashPassphrase
- libCheck
- _instance

## Methods

### decryptContent

- decryptContent(key: any, data: string): IPageContent | null

- - Defined in Crypto.ts:26

  Decrypt page content using encryption key and encrypted string

  #### Parameters

  - ##### key: any

  - ##### data: string

  #### Returns IPageContent | null

### encryptContent

- encryptContent(key: IEncryptionKey, data: IPageContent): string | null

- - Defined in Crypto.ts:63

  Encrypt raw page content with supplied encryption key

  #### Parameters

  - ##### key: IEncryptionKey

  - ##### data: IPageContent

  #### Returns string | null

### Private hashPassphrase

- hashPassphrase(passphrase: string): string

- - Defined in Crypto.ts:96

  Use forge library"s util to hash passphrase

  #### Parameters

  - ##### passphrase: string

  #### Returns string

### Private libCheck

- libCheck(): boolean

- - Defined in Crypto.ts:102

  #### Returns boolean

### Static _instance

- _instance(): Crypto

- - Defined in Crypto.ts:15

  #### Returns Crypto

Generated using TypeDoc